aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/ak-logthis22
1 files changed, 21 insertions, 1 deletions
diff --git a/bin/ak-logthis b/bin/ak-logthis
index e1e55d0..024f9d2 100755
--- a/bin/ak-logthis
+++ b/bin/ak-logthis
@@ -1,3 +1,23 @@
#!/bin/bash
-echo "$(date -u +%s)" "$1" "$2" "$3" >> $AK_LOGSFILE
+TS="$(date -u +%s)"
+if [ ! -z "$1" ]
+then
+ if [ ! -z "$2" ]
+ then
+ if [ ! -z "$3" ]
+ then
+ echo "$TS" "$1" "$2" "$3" >> $AK_LOGSFILE
+ exit 0
+ else
+ echo "$TS" "$1" "[ERROR]" "No message" >> $AK_LOGSFILE
+ exit 1
+ fi
+ else
+ echo "$TS" "$1" "[ERROR]" "No type and message" >> $AK_LOGSFILE
+ exit 1
+ fi
+else
+ echo "$TS" "<$(basename $0)>" "[ERROR]" "No arguments given" >> $AK_LOGSFILE
+ exit 1
+fi